org.scalatest.prop.Configuration

# PropertyCheckConfig

#### case class PropertyCheckConfig (minSuccessful: Int, maxDiscarded: Int, minSize: Int, maxSize: Int, workers: Int) extends Product with Serializable

Configuration object for property checks.

The default values for the parameters are:

minSuccessful | 100
maxDiscarded | 500
minSize | 0
maxSize | 100
workers | 1

minSuccessful

  the minimum number of successful property evaluations required for the property to pass.

maxDiscarded

  the maximum number of discarded property evaluations allowed during a property check

minSize

  the minimum size parameter to provide to ScalaCheck, which it will use when generating objects for which size matters (such as strings or lists).

maxSize

  the maximum size parameter to provide to ScalaCheck, which it will use when generating objects for which size matters (such as strings or lists).

workers

  specifies the number of worker threads to use during property evaluation

Linear Supertypes
Serializable, Serializable, Product, Equals, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. PropertyCheckConfig
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

Visibility

1. Public
2. All

### Instance Constructors

1. #### new PropertyCheckConfig (minSuccessful: Int, maxDiscarded: Int, minSize: Int, maxSize: Int, workers: Int)

   minSuccessful

     the minimum number of successful property evaluations required for the property to pass.

   maxDiscarded

     the maximum number of discarded property evaluations allowed during a property check

   minSize

     the minimum size parameter to provide to ScalaCheck, which it will use when generating objects for which size matters (such as strings or lists).

   maxSize

     the maximum size parameter to provide to ScalaCheck, which it will use when generating objects for which size matters (such as strings or lists).

   workers

     specifies the number of worker threads to use during property evaluation

### Value Members

1. #### def != (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

2. #### def != (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

3. #### def ## (): Int

   Attributes
     final
   Definition Classes
     AnyRef → Any

4. #### def == (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

5. #### def == (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

6. #### def asInstanceOf [T0] : T0

   Attributes
     final
   Definition Classes
     Any

7. #### def canEqual (arg0: Any): Boolean

   Definition Classes
     PropertyCheckConfig → Equals

8. #### def clone (): AnyRef

   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws()

9. #### def eq (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

10. #### def equals (arg0: Any): Boolean

    Definition Classes
      PropertyCheckConfig → Equals → AnyRef → Any

11. #### def finalize (): Unit

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()

12. #### def getClass (): java.lang.Class[_]

    Attributes
      final
    Definition Classes
      AnyRef

13. #### def hashCode (): Int

    Definition Classes
      PropertyCheckConfig → AnyRef → Any

14. #### def isInstanceOf [T0] : Boolean

    Attributes
      final
    Definition Classes
      Any

15. #### val maxDiscarded : Int

    the maximum number of discarded property evaluations allowed during a property check

16. #### val maxSize : Int

    the maximum size parameter to provide to ScalaCheck, which it will use when generating objects for which size matters (such as strings or lists).

17. #### val minSize : Int

    the minimum size parameter to provide to ScalaCheck, which it will use when generating objects for which size matters (such as strings or lists).

18. #### val minSuccessful : Int

    the minimum number of successful property evaluations required for the property to pass.

19. #### def ne (arg0: AnyRef): Boolean

    Attributes
      final
    Definition Classes
      AnyRef

20. #### def notify (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

21. #### def notifyAll (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

22. #### def productArity : Int

    Definition Classes
      PropertyCheckConfig → Product

23. #### def productElement (arg0: Int): Any

    Definition Classes
      PropertyCheckConfig → Product

24. #### def productIterator : Iterator[Any]

    Definition Classes
      Product

25. #### def productPrefix : String

    Definition Classes
      PropertyCheckConfig → Product

26. #### def synchronized [T0] (arg0: ⇒ T0): T0

    Attributes
      final
    Definition Classes
      AnyRef

27. #### def toString (): String

    Definition Classes
      PropertyCheckConfig → AnyRef → Any

28. #### def wait (): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

29. #### def wait (arg0: Long, arg1: Int): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

30. #### def wait (arg0: Long): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

31. #### val workers : Int

    specifies the number of worker threads to use during property evaluation

32. #### def productElements : Iterator[Any]

    Definition Classes
      Product
    Annotations
      @deprecated
    Deprecated

      use productIterator instead

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any